﻿<?xml version="1.0" encoding="utf-8" ?>

<log4net>
	<appender name="RollingFileAppender" type="log4net.Appender.RollingFileAppender">
		<lockingModel type="log4net.Appender.FileAppender+MinimalLock"/>
		<file type="log4net.Util.PatternString" value=".\Logs\%env{USERNAME}.log" />
		<appendToFile value="true" />
		<rollingStyle value="Date" />
		<datePattern value="'.'yyyy-MM-dd" />
		<layout type="log4net.Layout.PatternLayout">
			<conversionPattern value="%d %-5level - %message%newline" /> <!--[%logger{1}] is included in message-->
		</layout>
		<PreserveLogFileNameExtension value="true" />
	</appender>
	<appender name="Console" type="log4net.Appender.ConsoleAppender">
		<layout type="log4net.Layout.PatternLayout">
			<conversionPattern value="%d %-5level - %message%newline" /> <!--[%logger{1}] is included in message-->
		</layout>
	</appender>
	<root>
		<level value="DEBUG" />
		<appender-ref ref="RollingFileAppender" />
		<!--<appender-ref ref="Console" />-->
	</root>
</log4net>